tss2_gettpmblobs(1)

NAME

tss2_gettpmblobs(1) -

SYNOPSIS

tss2_gettpmblobs [OPTIONS]

SEE ALSO

fapi-config(5) to adjust Fapi parameters like the used cryptographic profile and TCTI or directories for the Fapi metadata storages.

fapi-profile(5) to determine the cryptographic algorithms and parameters for all keys and operations of a specific TPM interaction like the name hash algorithm, the asymmetric signature algorithm, scheme and parameters and PCR bank selection.

DESCRIPTION

tss2_gettpmblobs(1) - This command returns the public and private blobs of an object, such that they could be loaded by a low-level API (e.g. ESAPI). It also returns the policy associated with these blobs in JSON format.

OPTIONS

These are the available options:

•   -f, --force:

    Force overwriting the output file.

•   -p, --path=STRING:

    The path of the object for which the blobs will be returned.

•   -u, --tpm2bPublic=FILENAME or - (for stdout):

    The returned public area of the object as a marshalled TPM2B_PUBLIC. Optional parameter.

•   -r, --tpm2bPrivate=FILENAME or - (for stdout):

    The returned private area of the object as a marshalled TPM2B_PRIVATE. Optional parameter.

•   -l, --policy=FILENAME or - (for stdout):

    The returned policy associated with the object, encoded in JSON. Optional parameter.

COMMON OPTIONS

This collection of options are common to all tss2 programs and provide information that many users may expect.

•   -h, --help [man|no-man]: Display the tools manpage. By default, it attempts to invoke the manpager for the tool, however, on failure will output a short tool summary. This is the same behavior if the “man” option argument is specified, however if explicit “man” is requested, the tool will provide errors from man on stderr. If the “no-man” option if specified, or the manpager fails, the short options will be output to stdout.

    To successfully use the manpages feature requires the manpages to be installed or on MANPATH, See man(1) for more details.

•   -v, --version: Display version information for this tool, supported tctis and exit.

EXAMPLE

    tss2_gettpmblobs --path=HS/SRK/myRSACrypt --tpm2bPublic=tpm2bPublic.file --tpm2bPrivate=tpm2bPrivate.file --policy=policy.file

RETURNS

0 on success or 1 on failure.

BUGS

Github Issues (https://github.com/tpm2-software/tpm2-tools/issues)

HELP

See the Mailing List (https://lists.01.org/mailman/listinfo/tpm2)